Package org.wso2.carbon.logging.appender.http

## Class SecuredHttpAppender.Builder<B extends SecuredHttpAppender.Builder<B>>

- java.lang.Object
- - org.apache.logging.log4j.core.filter.AbstractFilterable.Builder<B>
  - - org.apache.logging.log4j.core.appender.AbstractAppender.Builder<B>
    - - org.wso2.carbon.logging.appender.http.SecuredHttpAppender.Builder<B>

- Type Parameters:
    `B` - The type to build
  All Implemented Interfaces:
    `org.apache.logging.log4j.core.util.Builder<SecuredHttpAppender>`
  Enclosing class:
    SecuredHttpAppender

      public static class SecuredHttpAppender.Builder<B extends SecuredHttpAppender.Builder<B>>
      extends org.apache.logging.log4j.core.appender.AbstractAppender.Builder<B>
      implements org.apache.logging.log4j.core.util.Builder<SecuredHttpAppender>

  Builds HttpAppender instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SecuredHttpAppender` | `build()` |
    `int` | `getBlockSizeInKB()` |
    `int` | `getConnectTimeoutMillis()` |
    `org.apache.logging.log4j.core.config.Property[]` | `getHeaders()` |
    `int` | `getMaxDiskSpaceInMB()` |
    `String` | `getMethod()` |
    `String` | `getPassword()` |
    `int` | `getProcessingLimit()` | Deprecated. Use `getMaxDiskSpaceInMB()` instead.
    `int` | `getReadTimeoutMillis()` |
    `SslConfiguration` | `getSslConfiguration()` |
    `URL` | `getUrl()` |
    `String` | `getUsername()` |
    `boolean` | `isVerifyHostname()` |
    `B` | `setBlockSizeInKB​(int blockSizeInKB)` |
    `B` | `setConnectTimeoutMillis​(int connectTimeoutMillis)` |
    `B` | `setHeaders​(org.apache.logging.log4j.core.config.Property[] headers)` |
    `B` | `setMaxDiskSpaceInMB​(int maxDiskSpaceInMB)` |
    `B` | `setMethod​(String method)` |
    `B` | `setPassword​(String password)` |
    `B` | `setProcessingLimit​(int processingLimit)` | Deprecated. Use `setMaxDiskSpaceInMB(int)` instead.
    `B` | `setReadTimeoutMillis​(int readTimeoutMillis)` |
    `B` | `setSslConfiguration​(SslConfiguration sslConfiguration)` |
    `B` | `setUrl​(URL url)` |
    `B` | `setUsername​(String username)` |
    `B` | `setVerifyHostname​(boolean verifyHostname)` |

    - ### Methods inherited from class org.apache.logging.log4j.core.appender.AbstractAppender.Builder

      `getConfiguration, getLayout, getName, getOrCreateLayout, getOrCreateLayout, isIgnoreExceptions, setConfiguration, setIgnoreExceptions, setLayout, setName, withConfiguration, withIgnoreExceptions, withLayout, withName`

    - ### Methods inherited from class org.apache.logging.log4j.core.filter.AbstractFilterable.Builder

      `asBuilder, getFilter, getPropertyArray, setFilter, setPropertyArray, withFilter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### getUrl

          public URL getUrl()

    - #### getMethod

          public String getMethod()

    - #### getConnectTimeoutMillis

          public int getConnectTimeoutMillis()

    - #### getReadTimeoutMillis

          public int getReadTimeoutMillis()

    - #### getUsername

          public String getUsername()

    - #### getPassword

          public String getPassword()

    - #### getHeaders

          public org.apache.logging.log4j.core.config.Property[] getHeaders()

    - #### getSslConfiguration

          public SslConfiguration getSslConfiguration()

    - #### getProcessingLimit

          @Deprecated
          public int getProcessingLimit()

      Deprecated.
      Use `getMaxDiskSpaceInMB()` instead.
      The processing limit is no longer used. The queue size is now limited by the maxDiskSpaceInMB.

    - #### isVerifyHostname

          public boolean isVerifyHostname()

    - #### getBlockSizeInKB

          public int getBlockSizeInKB()

    - #### getMaxDiskSpaceInMB

          public int getMaxDiskSpaceInMB()

    - #### setUrl

          public B setUrl​(URL url)

    - #### setMethod

          public B setMethod​(String method)

    - #### setConnectTimeoutMillis

          public B setConnectTimeoutMillis​(int connectTimeoutMillis)

    - #### setReadTimeoutMillis

          public B setReadTimeoutMillis​(int readTimeoutMillis)

    - #### setUsername

          public B setUsername​(String username)

    - #### setPassword

          public B setPassword​(String password)

    - #### setHeaders

          public B setHeaders​(org.apache.logging.log4j.core.config.Property[] headers)

    - #### setSslConfiguration

          public B setSslConfiguration​(SslConfiguration sslConfiguration)

    - #### setProcessingLimit

          @Deprecated
          public B setProcessingLimit​(int processingLimit)

      Deprecated.
      Use `setMaxDiskSpaceInMB(int)` instead.
      The processing limit is no longer used. The queue size is now limited by the maxDiskSpaceInMB.

    - #### setVerifyHostname

          public B setVerifyHostname​(boolean verifyHostname)

    - #### setBlockSizeInKB

          public B setBlockSizeInKB​(int blockSizeInKB)

    - #### setMaxDiskSpaceInMB

          public B setMaxDiskSpaceInMB​(int maxDiskSpaceInMB)

    - #### build

          public SecuredHttpAppender build()

      Specified by:
        `build` in interface `org.apache.logging.log4j.core.util.Builder<B extends SecuredHttpAppender.Builder<B>>`